John the Ripper Pro password cracker for Linux

Description

John the Ripper Pro password cracker for Linux

John the Ripper is a fast password cracker, available for many operating systems. Its primary purpose is to detect weak Unix passwords, although Windows LM hashes and a number of other password hash types are supported as well. John the Ripper is free and Open Source software, distributed primarily in source code form.

John the Ripper Pro builds upon the free John the Ripper to deliver a commercial product better tailored for specific operating systems. It is distributed primarily in the form of “native” packages for the target operating systems.

John the Ripper Pro is available for a number of operating systems. This web page describes the Linux revision of John the Ripper Pro.

On Linux, the features currently specific to Pro versions are:

  • Pre-built and well-tested native packages (RPM), which may be installed with a single command – no need to compile
    Even though these are RPM rather than deb packages, instructions for easy installation on Debian and Ubuntu are also included
  • Separate packages for newer 64-bit capable systems (x86_64) and older 32-bit systems (i686)
  • Automatic detection of multi-core CPUs and use of multi-threading, with transparent fallback to a single-threaded build on single-core machines (or VMs) or when use of multiple sub-processes instead of threads is requested (with the –fork=N option)
  • Automatic detection of processor architecture extensions: AMD XOP, Intel AVX, SSE2, MMX for much faster processing at some hash types, with transparent fallback on older CPUs
  • A large multilingual wordlist (5,014,869 entries, 55 MB uncompressed) is included in the package, and John the Ripper is pre-configured for its use
  • The included documentation is revised to be specific for the given package on Linux rather than generic, making it easier to understand
  • As a bonus, the full source code sufficient to rebuild the package is also provided (can be downloaded separately)

The links below allow you to pay online with a variety of payment methods, or to choose to pay offline.

  • John the Ripper 1.8.0 Pro for Linux with upgrades and support – $185.00
    site-wide or consultant license (at your option),
    RPM package (31 MB), free upgrades to further 1.x Pro releases for Linux,
    1 year of e-mail support and password security consulting (up to 4 hours)
  • John the Ripper 1.8.0 Pro for Linux with upgrades – $89.95
    site-wide or consultant license (at your option),
    RPM package (31 MB), free upgrades to further 1.x Pro releases for Linux,
    installation support by e-mail within the first 30 days (up to 1 hour)
  • John the Ripper 1.8.0 Pro for Linux with support – $89.95
    site-wide or consultant license (at your option),
    RPM package (31 MB), free upgrades to further 1.8.x Pro releases for Linux,
    1 year of e-mail support and password security consulting (up to 2 hours)
  • John the Ripper 1.8.0 Pro for Linux introductory offer – $39.95
    site-wide or consultant license (at your option),
    RPM package (31 MB), free upgrades to further 1.8.x Pro releases for Linux,
    installation support by e-mail within the first 30 days (up to 1 hour)

Your purchase will be from FastSpring, a trusted reseller of software products and services.

Your private download directory will be created and made available to you immediately upon receipt of your payment.

Unconditional 7-day money back guarantee for purely online payments (including credit card payments, but not including bank wire transfers): if you’re for any reason or for no reason at all unsatisfied with the download service or the product, we will issue a refund for your order on your request if the request arrives within 7 days after your order date.

Low price guarantee: our prices on this product are the lowest you can find. If you find a better price on a commercial product with at least the same functionality, for the same operating system, with upgrades and support similar to those included with your purchase, and if you inform us within 30 days of your purchase, we will gladly refund the price difference. Shop with confidence!

Please don’t hesitate to e-mail us at <orders at openwall.com> if you experience any problems placing an order or completing your download, or to request a refund.

The following Linux distributions are supported by the latest version of John the Ripper Pro:

  • Red Hat Enterprise Linux 5 and above, and CentOS 5 and above
  • Fedora 4 and above
  • Ubuntu 5.10 and above
  • SUSE 10 and above
  • Mandriva 2006 and above
  • Openwall GNU/*/Linux 3.0 and above
  • any other distribution with RPM 4+, glibc 2.3.4+, Linux kernel 2.6+ for x86(-64)

Yes, most of these versions are pretty old, which is intentional – we built the package in such a way that it will run even on these older systems, as well as on your newer ones. Additionally, you will be able to download a previous version of John the Ripper Pro, which supports even older distributions:

  • Red Hat Enterprise Linux and CentOS (any version)
  • Fedora Core (any version)
  • Red Hat Linux 7.0 and above
    This is the old product name and version numbering that Red Hat used many years ago – yes, many of these ancient versions are in fact supported
  • Ubuntu (any version)
  • SUSE Linux 7.1 and above
  • Mandriva (any version)
  • Slackware 8.1 and above
  • Openwall GNU/*/Linux 1.1 and above
  • any other distribution with RPM 3+, glibc 2.1+, Linux kernel 2.4+ for x86(-64)

The following password hash types are currently supported in the latest version (and more are planned):

  • Traditional DES-based Unix crypt(3) – most commercial Unix systems (Solaris, AIX, …), Mac OS X 10.2, ancient Linux and *BSD
  • “bigcrypt” – HP-UX, Tru64 / Digital Unix / OSF/1
  • BSDI-style extended DES-based crypt(3) – BSD/OS, *BSD (non-default)
  • FreeBSD-style MD5-based crypt(3) – older Linux, FreeBSD, NetBSD, Cisco IOS, OpenBSD (non-default)
  • OpenBSD-style Blowfish-based crypt(3) – OpenBSD, some Linux, other *BSD and Solaris 10+ (non-default)
  • SHA-crypt (sha512crypt and sha256crypt) – newer Linux
    These are supported when running on a system with glibc 2.7+ (any recent system)
  • Kerberos AFS DES-based hashes
  • LM (LanMan) DES-based hashes – Windows NT/2000/XP/2003, Mac OS X 10.3
  • NTLM MD4-based hashes – Windows (all versions)
  • Mac OS X 10.4 – 10.6 salted SHA-1 hashes
  • Mac OS X 10.7 salted SHA-512 hashes (new in 1.8.0 Pro)

 

Reviews

There are no reviews yet.

Be the first to review “John the Ripper Pro password cracker for Linux”

Your email address will not be published.